<?php

namespace app\Service\ShipmentHandler\ParcelForce\ExpressLink;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'BaseRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\BaseRequest',
            'BaseReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\BaseReply',
            'CreateShipmentRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CreateShipmentRequest',
            'CreateShipmentReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CreateShipmentReply',
            'CreatePrintRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CreatePrintRequest',
            'CreatePrintReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CreatePrintReply',
            'PrintLabelRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\PrintLabelRequest',
            'PrintLabelReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\PrintLabelReply',
            'PrintDocumentRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\PrintDocumentRequest',
            'PrintDocumentReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\PrintDocumentReply',
            'CreateManifestReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CreateManifestReply',
            'CreateManifestRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CreateManifestRequest',
            'PrintManifestRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\PrintManifestRequest',
            'PrintManifestReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\PrintManifestReply',
            'ReturnShipmentRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ReturnShipmentRequest',
            'ReturnShipmentReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ReturnShipmentReply',
            'RequestedShipment' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\RequestedShipment',
            'Contact' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Contact',
            'Notifications' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Notifications',
            'Address' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Address',
            'InBoundDetails' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\InBoundDetails',
            'Enhancement' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Enhancement',
            'DeliveryOptions' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\DeliveryOptions',
            'HazardousGoods' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\HazardousGoods',
            'HazardousGood' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\HazardousGood',
            'Returns' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Returns',
            'InternationalInfo' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\InternationalInfo',
            'Parcels' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Parcels',
            'Parcel' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Parcel',
            'ContentDetails' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ContentDetails',
            'ContentDetail' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ContentDetail',
            'CollectionInfo' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CollectionInfo',
            'DateTimeRange' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\DateTimeRange',
            'ShipmentLabelData' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ShipmentLabelData',
            'ParcelLabelData' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ParcelLabelData',
            'ParcelContents' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ParcelContents',
            'ContentData' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ContentData',
            'LabelData' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\LabelData',
            'LabelItem' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\LabelItem',
            'Barcodes' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Barcodes',
            'Barcode' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Barcode',
            'Images' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Images',
            'Image' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Image',
            'Document' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Document',
            'CompletedManifests' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CompletedManifests',
            'CompletedManifestInfo' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CompletedManifestInfo',
            'ManifestShipments' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ManifestShipments',
            'ManifestShipment' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ManifestShipment',
            'CompletedShipmentInfo' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CompletedShipmentInfo',
            'CompletedShipmentInfoCreatePrint' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CompletedShipmentInfoCreatePrint',
            'CompletedShipments' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CompletedShipments',
            'CompletedShipment' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CompletedShipment',
            'CompletedReturnInfo' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CompletedReturnInfo',
            'Authentication' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Authentication',
            'Alerts' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Alerts',
            'Alert' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Alert',
            'FindRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\FindRequest',
            'FindReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\FindReply',
            'CCReserveRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CCReserveRequest',
            'CCReserveReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CCReserveReply',
            'CancelShipmentRequest' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CancelShipmentRequest',
            'CancelShipmentReply' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CancelShipmentReply',
            'CompletedCancel' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CompletedCancel',
            'CompletedCancelInfo' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\CompletedCancelInfo',
            'ConvenientCollect' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ConvenientCollect',
            'SpecifiedPostOffice' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\SpecifiedPostOffice',
            'PAF' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\PAF',
            'SpecifiedNeighbour' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\SpecifiedNeighbour',
            'SafePlaceList' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\SafePlaceList',
            'NominatedDeliveryDates' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\NominatedDeliveryDates',
            'NominatedDeliveryDateList' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\NominatedDeliveryDateList',
            'PostcodeExclusion' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\PostcodeExclusion',
            'Departments' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Departments',
            'Department' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Department',
            'ServiceCodes' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\ServiceCodes',
            'PostOffice' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\PostOffice',
            'OpeningHours' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\OpeningHours',
            'Mon' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Mon',
            'Tue' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Tue',
            'Wed' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Wed',
            'Thu' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Thu',
            'Fri' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Fri',
            'Sat' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Sat',
            'Sun' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Sun',
            'BankHol' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\BankHol',
            'Hours' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Hours',
            'Position' => '\\app\\Service\\ShipmentHandler\\ParcelForce\\ExpressLink\\StructType\\Position',
        );
    }
}
